FROM registry.access.redhat.com/ubi8

MAINTAINER RedHat Training <jasonwcc@yahoo.com>

ENV DOCROOT=/var/www/html

LABEL VERSION="1.0" \
      description="Its exam resources"

RUN yum install -y --nodocs httpd && yum clean all -y && echo "Hello from httpd-parent container!" > ${DOCROOT}/index.html && rm -rf /run/httpd && mkdir /run/httpd

ADD scripts .

ONBUILD COPY src/ ./

EXPOSE 80

USER root

CMD /usr/sbin/httpd -DFOREGROUND
